CVE-2013-4577

Priority
Low
Description
A certain Debian patch for GNU GRUB uses world-readable permissions for
grub.cfg, which allows local users to obtain password hashes, as
demonstrated by reading the password_pbkdf2 directive in the file.
References
Package
Source: grub2 (LP Ubuntu Debian)
Upstream:released (2.00-20)
Ubuntu 17.10 (Artful Aardvark):released (2.00-20)
Ubuntu 12.04 ESM (Precise Pangolin):needed
Ubuntu 14.04 LTS (Trusty Tahr):released (2.00-20)
Ubuntu 16.04 LTS (Xenial Xerus):released (2.00-20)
Ubuntu 17.04 (Zesty Zapus):released (2.00-20)
Patches:
Patch:http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=safer_grub_cfg_perms.diff.gz;att=1;bug=632598
More Information

Updated: 2017-10-23 12:17:08 UTC (commit 13562)